vlax-3D-point

Wyszukaj w słowniku
Rozpoczyna się od Zawiera DokładnieBrzmi podobnie

Dostępne słowniki:

Termin Definicja
vlax-3D-point

Tworzy punkt który jest wymagany przy większości operacji na obiektach
Wynikiem operacji jest wariant dwu lub trzy elementowy liczb typu double

przykład:

(setq p1 (getpoint "Wskaż punkt początkowy") )
; wynik w zależności od wskazanego punktu może być np(341.741 128.836 0.0)
(setq p2 (getpoint "Wskaż punkt końcowy") )
; wynik w zależności od wskazanego punktu może być np(255.37 71.1126 0.0)

(vl-load-com)
(setq *ZWCAD* (vlax-get-acad-object))
(setq *Rysunek* (vla-get-activedocument *ZWCAD* ))
(setq *Model* (vla-get-Modelspace *Rysunek* ))

(setq linia(vlax-invoke-method *Model* 'AddLine (vlax-3d-point p1 ) (vlax-3d-point p2 ) ))

Argumenty można przekazywać do funkcji jako listę współrzędnych np

(vlax-3d-point (list 100 0 0 ) ) ; #<variant 8197 ...>
lub jako poszczególe współrzędne:
(vlax-3d-point 100 0 ) ; #<variant 8197 ...>

comments powered by Disqus